| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
uiSynthSeisAdvancedGrp Class Reference
uiSeis

Group for the advanced synthetic generation parameters interface. More...

`#include <uisynthgrp.h>`

Inheritance diagram for uiSynthSeisAdvancedGrp:
[legend]

## Public Types
enum | ConvDomain { Freq , TWT }
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Public Member Functions
| uiSynthSeisAdvancedGrp (uiParent *, bool withnmo)
| ~uiSynthSeisAdvancedGrp ()
virtual void | fillPar (IOPar &) const
virtual uiRetVal | isOK () const
virtual bool | usePar (const IOPar &)
Public Member Functions inherited from uiGroup
| uiGroup (uiParent *, const char *nm="uiGroup", bool manage=true)
virtual | ~uiGroup ()
void | adjustSize ()
uiObject * | attachObj ()
const uiObject * | attachObj () const
uiObject * | hAlignObj ()
uiObject * | hCenterObj ()
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiGroup) inline operator const uiGroupObj *() const
| operator const uiObject & () const
| operator uiGroupObj * ()
| operator uiObject & ()
uiParent * | parent ()
const uiParent * | parent () const
Notifier< uiBaseObject > & | postFinalise () override
Notifier< uiBaseObject > & | postFinalize () override
Notifier< uiBaseObject > & | preFinalise () override
Notifier< uiBaseObject > & | preFinalize () override
void | setBorder (int l, int t, int r, int b)
void | setBorder (int)
void | setChildrenSensitive (bool)
void | setFrame (bool yn=true)
void | setHAlignObj (uiGroup *o)
void | setHAlignObj (uiObject *)
void | setHCenterObj (uiGroup *o)
void | setHCenterObj (uiObject *)
void | setHSpacing (int)
void | setIsMain (bool)
| internal use only. Tells the layout manager it's a toplevel mngr.
void | setNoBackGround ()
virtual void | setSize (const uiSize &)
void | setSpacing (int s=0)
void | setVSpacing (int)
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Public Attributes
Notifier< uiSynthSeisAdvancedGrp > | parsChanged

## Protected Member Functions
virtual void | initGrp ()
uiObject * | lastFld () const
void | parsChangedCB (CallBacker *)
Protected Member Functions inherited from uiGroup
void | attach_ (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true) override
void | bodyDel (CallBacker *)
uiObject * | mainobject () override
virtual void | reDraw_ (bool deep)
void | reSizeChildren (const uiObject *, float, float)
void | setFrameStyle (int)
void | setShrinkAllowed (bool)
bool | shrinkAllowed ()
void | uiobjDel (CallBacker *)
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Private Member Functions
void | createNMOGrp ()
double | getMuteLengthMs () const
double | getStrechtMutePerc () const
void | initGrpCB (CallBacker *)
void | nmoSelCB (CallBacker *)
void | setMuteLengthMs (double)
void | setStretchMutePerc (double)
bool | wantNMOCorr () const
bool | withNMO () const

## Private Attributes
uiGenInput * | convdomainfld_
uiGenInput * | mutelenfld_ = nullptr
uiGenInput * | nmofld_ = nullptr
uiGenInput * | stretchmutelimitfld_ = nullptr

## Additional Inherited Members
Static Public Member Functions inherited from uiGroup
static uiGroup * | gtDynamicCastToGrp (QWidget *)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Protected Attributes inherited from uiGroup
uiGroupParentBody * | body_
uiGroupObj * | grpobj_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

Group for the advanced synthetic generation parameters interface.

<>

## Member Enumeration Documentation

## ◆ ConvDomain

enum uiSynthSeisAdvancedGrp::ConvDomain

Enumerator
Freq |
TWT |

## Constructor & Destructor Documentation

## ◆ uiSynthSeisAdvancedGrp()

uiSynthSeisAdvancedGrp::uiSynthSeisAdvancedGrp | ( | uiParent * | ,
|  | bool | withnmo )

## ◆ ~uiSynthSeisAdvancedGrp()

uiSynthSeisAdvancedGrp::~uiSynthSeisAdvancedGrp | ( |  | ) |

## Member Function Documentation

## ◆ createNMOGrp()

void uiSynthSeisAdvancedGrp::createNMOGrp | ( |  | ) |
| private

## ◆ fillPar()

virtual void uiSynthSeisAdvancedGrp::fillPar | ( | IOPar & |  | ) | const
| virtual

## ◆ getMuteLengthMs()

double uiSynthSeisAdvancedGrp::getMuteLengthMs | ( |  | ) | const
| private

## ◆ getStrechtMutePerc()

double uiSynthSeisAdvancedGrp::getStrechtMutePerc | ( |  | ) | const
| private

## ◆ initGrp()

virtual void uiSynthSeisAdvancedGrp::initGrp | ( |  | ) |
| protected virtual

## ◆ initGrpCB()

void uiSynthSeisAdvancedGrp::initGrpCB | ( | CallBacker * |  | ) |
| private

## ◆ isOK()

virtual uiRetVal uiSynthSeisAdvancedGrp::isOK | ( |  | ) | const
| virtual

## ◆ lastFld()

uiObject * uiSynthSeisAdvancedGrp::lastFld | ( |  | ) | const
| protected

## ◆ nmoSelCB()

void uiSynthSeisAdvancedGrp::nmoSelCB | ( | CallBacker * |  | ) |
| private

## ◆ parsChangedCB()

void uiSynthSeisAdvancedGrp::parsChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ setMuteLengthMs()

void uiSynthSeisAdvancedGrp::setMuteLengthMs | ( | double |  | ) |
| private

## ◆ setStretchMutePerc()

void uiSynthSeisAdvancedGrp::setStretchMutePerc | ( | double |  | ) |
| private

## ◆ usePar()

virtual bool uiSynthSeisAdvancedGrp::usePar | ( | const IOPar & |  | ) |
| virtual

## ◆ wantNMOCorr()

bool uiSynthSeisAdvancedGrp::wantNMOCorr | ( |  | ) | const
| private

## ◆ withNMO()

bool uiSynthSeisAdvancedGrp::withNMO | ( |  | ) | const
| inline private

## Member Data Documentation

## ◆ convdomainfld_

uiGenInput* uiSynthSeisAdvancedGrp::convdomainfld_
| private

## ◆ mutelenfld_

uiGenInput* uiSynthSeisAdvancedGrp::mutelenfld_ = nullptr
| private

## ◆ nmofld_

uiGenInput* uiSynthSeisAdvancedGrp::nmofld_ = nullptr
| private

## ◆ parsChanged

Notifier<uiSynthSeisAdvancedGrp> uiSynthSeisAdvancedGrp::parsChanged

## ◆ stretchmutelimitfld_

uiGenInput* uiSynthSeisAdvancedGrp::stretchmutelimitfld_ = nullptr
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025